API reference › Broadcast and dispatch › Broadcast settings
Retrieve broadcast & dispatch logic settings
GET /v1/settings/broadcast-settings
- Scope
settings_broadcast_dispatch:read- Roles
- admin, scheduler
Fetches broadcast & dispatch logic settings
Parameters
None of its own.
Every call also sends Authorization and X-Tenant-ID; see Getting started.
Example request
curl "https://api.fetchfido.ai/v1/settings/broadcast-settings" \
-H "Authorization: Bearer $FIDO_API_KEY" \
-H "X-Tenant-ID: $FIDO_TENANT_ID"Try it
Responses
200 Broadcast & Dispatch Logic settings retrieved successfully
Broadcast & Dispatch Logic settings retrieved successfully
{
"success": true,
"data": {
"id": 1,
"initialProviderPoolSize": 1,
"cycleInterval": 1,
"cycleIntervalUnit": "minutes",
"maximumBroadcastRounds": 1,
"maximumTotalProvidersContracted": 1,
"repeatContactProviderHoursLimit": 1,
"autoEscalateAfterFailedRounds": 1,
"enableBroadcastDefault": true,
"enableFidoNetworkBroadcastDefault": true,
"enableRotationalBroadcast": true,
"enablePriorityBasedBroadcastBehavior": true,
"enableRateBaseBehavior": true,
"userTieredMatchingPools": true,
"enableProfitabilityBasedMatching": true,
"expressInterests": true,
"whoConfirmsAssignments": "string",
"notifySchedulerOnExpressedInterest": true,
"notifyClientOnExpressedInterest": true,
"acceptAction": true,
"whoConfirmsAcceptedAssignments": "string",
"notifySchedulerOnAcceptedAssignments": true,
"notifyClientOnAcceptedAssignments": true,
"declineAction": true,
"declineTimeframe": 1,
"declineTimeframeUnit": "string",
"autoFillDelay": true,
"autoFillDelayTimeframe": 1,
"autoFillDelayTimeframeUnit": "string",
"providerResponseWindow": true,
"providerResponseWindowTimeframe": 1,
"providerResponseWindowUnit": "string",
"noProviderResponseNotifyScheduler": true,
"noProviderResponseNotifySchedulerAfter": 1,
"noProviderResponseNotifySchedulerAfterUnit": "string",
"autoEscalateUnfilled": true,
"autoEscalateUnfilledAfter": 1,
"autoEscalateUnfilledAfterUnit": "string",
"notifyUrgentGaps": true,
"urgentGapsStartIn": 1,
"urgentGapsStartInUnit": "string",
"enableEscalationLogic": true,
"escalateStillUnfilledAfter": 1,
"escalateStillUnfilledAfterUnit": "string",
"escalationNotifyMethodEmail": true,
"escalationNotifyMethodSms": true,
"escalationNotifyMethodInapp": true,
"allowManualOverride": true,
"triggerImmediateRebroadcast": true,
"notifySchedulerInstantly": true,
"markAssignmentsAtRisk": true,
"broadcastPriorityOrder": {
"id": "string",
"label": "Example label",
"order": 1
},
"rotationalBroadcastPrioritizations": [],
"escalationNotifyUsers": "string"
}
}Response fields (59)
2 top-level fields; 1 hold nested fields, listed below.
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
data | object (57 nested) |
Nested fields
data 57 fields
| Field | Type | Description |
|---|---|---|
data.id | integer | Example |
data.initialProviderPoolSize | integer | Example |
data.cycleInterval | integer | Example |
data.cycleIntervalUnit | string | Example |
data.maximumBroadcastRounds | integer | Example |
data.maximumTotalProvidersContracted | integer | Example |
data.repeatContactProviderHoursLimit | integer | Example |
data.autoEscalateAfterFailedRounds | integer | Example |
data.enableBroadcastDefault | boolean | Example |
data.enableFidoNetworkBroadcastDefault | boolean | Example |
data.enableRotationalBroadcast | boolean | Example |
data.enablePriorityBasedBroadcastBehavior | boolean | Example |
data.enableRateBaseBehavior | boolean | Example |
data.userTieredMatchingPools | boolean | Example |
data.enableProfitabilityBasedMatching | boolean | Example |
data.expressInterests | boolean | Example |
data.whoConfirmsAssignments | string | Example |
data.notifySchedulerOnExpressedInterest | boolean | Example |
data.notifyClientOnExpressedInterest | boolean | Example |
data.acceptAction | boolean | Example |
data.whoConfirmsAcceptedAssignments | string | Example |
data.notifySchedulerOnAcceptedAssignments | boolean | Example |
data.notifyClientOnAcceptedAssignments | boolean | Example |
data.declineAction | boolean | Example |
data.declineTimeframe | integer | Example |
data.declineTimeframeUnit | string | Example |
data.autoFillDelay | boolean | Example |
data.autoFillDelayTimeframe | integer | Example |
data.autoFillDelayTimeframeUnit | string | Example |
data.providerResponseWindow | boolean | Example |
data.providerResponseWindowTimeframe | integer | Example |
data.providerResponseWindowUnit | string | Example |
data.noProviderResponseNotifyScheduler | boolean | Example |
data.noProviderResponseNotifySchedulerAfter | integer | Example |
data.noProviderResponseNotifySchedulerAfterUnit | string | Example |
data.autoEscalateUnfilled | boolean | Example |
data.autoEscalateUnfilledAfter | integer | Example |
data.autoEscalateUnfilledAfterUnit | string | Example |
data.notifyUrgentGaps | boolean | Example |
data.urgentGapsStartIn | integer | Example |
data.urgentGapsStartInUnit | string | Example |
data.enableEscalationLogic | boolean | Example |
data.escalateStillUnfilledAfter | integer | Example |
data.escalateStillUnfilledAfterUnit | string | Example |
data.escalationNotifyMethodEmail | boolean | Example |
data.escalationNotifyMethodSms | boolean | Example |
data.escalationNotifyMethodInapp | boolean | Example |
data.allowManualOverride | boolean | Example |
data.triggerImmediateRebroadcast | boolean | Example |
data.notifySchedulerInstantly | boolean | Example |
data.markAssignmentsAtRisk | boolean | Example |
data.broadcastPriorityOrder | object | |
data.broadcastPriorityOrder.id | string | Example |
data.broadcastPriorityOrder.label | string | Example |
data.broadcastPriorityOrder.order | integer | Example |
data.rotationalBroadcastPrioritizations | array of object | |
data.escalationNotifyUsers | string | Example |
401 Not signed in
Unauthorized - authentication required
{
"success": false,
"message": "Invalid API key. Org and user tier keys must send an X-Tenant-ID header naming the organization the key was issued for.",
"errors": null,
"code": "API_KEY_MISSING"
}Response fields (4)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
errors | any or null | Null on this status. |
code | string | Machine-readable reason, for branching on in client code. One of: |
403 Not allowed
Scope, tenant, IP allow-list or RBAC check failed.
{
"success": false,
"message": "You don't have permission to access this endpoint. This API key is missing the 'settings_broadcast_dispatch:read' scope.",
"errors": null,
"code": ""
}Response fields (4)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
errors | any or null | Null on this status. |
code | string | Always empty on this status. Example |
429 Too many requests
Rate limit exceeded. See Retry-After.
{
"success": false,
"message": "You've exceeded this API key's rate limit of 120 requests per minute. Try again in 37 seconds.",
"errors": null,
"code": "RATE_LIMITED"
}Response fields (4)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
errors | any or null | Null on this status. |
code | string | Machine-readable reason, for branching on in client code. One of: |
500 Server error
Internal server error
{
"success": false,
"message": "An unexpected error occurred. Please try again later."
}Response fields (2)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |